El nuevo 2.6.11

Imagen de dEcLiNe
0 puntos

Buenas,

Quiero cambiar el kernel de mi ubuntu i pasar del 2.6.10 al 2.6.11 ya que ese ultimo me coge la tarjeta de sonido.

Quiero saber si alguien se ve en corazón de postear un pequeño manual o pasar el link de uno en castellano y completo.

Gracias

-------------------------------------------
xDD, he inaugurado el foro xD

Imagen de OKOX
+1
0
-1

Tienes dos opciones , intentar bajarlo desde apt-get
apt-get install linux-image-2.6.11-1-arquitectura

o bajar el source de apt o www.kernel.org y compilarlo tu mismo. .

Esta ultima opcion es mucho mas dificil, de howtos de compilar el kernel hay muchos, si lo quieres compilar tu googlea y en seguida encontraras uno. Suerte!!

:: {-_-} ::

+1
0
-1

:: {-_-} ::

Imagen de dEcLiNe
+1
0
-1

Gracias por la Info, pero...

con apt-get funciona iwal de bien que compilado?? y solo funciona dando eso orden y ya esta?

Gracias

---------------------------------------------------------------------
Me gustaría cambiar el mundo, pero Dios no me daria el código fuente.

+1
0
-1
Imagen de versvs
+1
0
-1

se supone que el compilado depura y se ajusta perfectamente a tu máquina , el otro es genérico, pero podrías probar de todos modos. a unas malas en el grub elijes boot con el 2.6.10 y quitas el otro, (porque supongo que eso también se puede...no?)

Yo tengo q echarle ánimos para compilar un kernel que incluya los modulos para mi scanner, q es antiguo y no va por USB... pero me da perezón (y miedín de joderlo todo) :P

un saludo
--
"never is a promise, and i'll never need a lie"

JID: versvs@jabberes.org

+1
0
-1
Imagen de dEcLiNe
+1
0
-1

apt-get install linux-image-etc...

ok solo haciendo eso el grub se modifica solo?

o a mano?

+1
0
-1
Imagen de js.toledano
+1
0
-1

Si está hecho con las herramientas de debian, el grub se actualiza automáticamente.


SapoDriLo
Guía Ubuntu, Búsqueda
+1
0
-1

En esta vida solo puedes tener dos cosas: razones y resultados.
Las razones no cuentan.

Imagen de Anónimo
+1
0
-1

No me entero...

1) Al final cual hay que instalar "source" o "image"?

2) Se borra automaticamente el kernel viejo?

3) Tengo un procesador AMD, la arquitectura es "k7".. cambio a esa o sigo con la que viene por defecto en el CD de ubuntu?

+1
0
-1
Imagen de xende
+1
0
-1

Actualmente el 2.6.11 no está soportado oficialmente por Ubuntu (no está en los repositorios oficiales).

Yo te recomendaría instalar el kernel nuevo sólo si es ABSOLUTAMENTE necesario.

Para mi, la guía más completa para hacerlo es la siguiente:
The Very Verbose Guide to Updating and Compiling Your Debian Kernel: http://www.osnews.com/story.php?news_id=2949 (Sorry, pero no conozco traducción alguna).Es para Debian, pero debería funcionar perfectamente.

Respuestas rápidas:

1) Necesitas compilar el source.
2) No, se instala el nuevo y quedan las 2 entradas en grub (por si acaso).
3) Compila para k7, mejora el rendimiento bastante.

+1
0
-1
Imagen de Anónimo
+1
0
-1

Gracias xende, voy a revisar esa guia. :)

+1
0
-1
Imagen de jacko
+1
0
-1

Haber, yo queriendo resolver el problema de mi modem termine engamnchado en tener que instalar el linux-source, veamos todo el mundo dice solo has apt-get install linux-source y todo listo pero no es cierto !!!!!!!!!, yo no tengo internet entonces como democios hare para hacer apt-get install, luego lei que no importa que si no tengo internet el apt-get install se ejecuta con el cd de instalacion pero igual no me ubica ningun linux-source, ni menos el synaptic me he bajado de la pagina www.kernel.org un archivo que su descripcion decia full sources es el linux-2.6.12.tar, es ese el fuente, no lo creo pues cuando hice el tar ...... aparecio la carpeta linux-2.6.12.tar y no la de linux-source como debia y que es la que necesito, empiezo a creer que debe ser mi version estoy usando Ubuntu Hoary 5.04 necesito auyda con esto del linux-source alguien digame de donde lo descargo y como hago para instalarlo. ....
Gracias por por lo menos leer el post saludos a todos.

+1
0
-1

"Windows: La solucion a un problema que nunca existio"

Imagen de bull3tpr00f
+1
0
-1

Necesitas indicar a apt-get que versión de las fuentes (linux-source) quieres instalar. No vale con poner solo apt-get install linux-source. Debes especificarle también la versión yla arquitectura. Para ver las versiones que hay disponibles tanto en el CD como en los repositorios, ejecuta

$ sudo apt-cache search linux-source

Para instalar, por ejemplo, la versión 2.6.10

$ sudo apt-get install linux-source-2.6.10

Espero te sirva de ayuda.
_______________________________________
Polo Norte

+1
0
-1
Imagen de bull3tpr00f
+1
0
-1

1) Mejor instalar un kernel precompilado para Ubuntu. Tienes una lista de kernels disponibles haciendo

$ sudo apt-cache search linux-image

Recuerda que en Ubuntu NO es kernel-image sino linux-image. Para instalar un kernel precompilado

$ sudo apt-get install linux-image-2.6.10-5-(arquitectura_de_tu_maquina)

2) No se borra automaticamente pero es tan facil como ejecutar

$ sudo apt-get remove linux-image-(versión_que_deseas_eliminar)

Nota: es aconsejable dejar el antiguo kernel unos dias por seguridad. Si el nuevo te dá problemas siempre puedes arrancar el anterior desde Grub ;)

3) La respuesta la tienes en la primera respuesta. Para un Athlon XP (el mismo que uso yo)

$ sudo apt-get install linux-image-2.6.10-5-k7

PD si necesitas compilar tu propi kernel te dejo unos enlaces.

http://www.fentlinux.com/wiki/index.php?title=Compilando_un_kernel_en_Ubuntu
http://www.hispamp3.com/foros/viewtopic.php?t=8196
http://www.frikis.org/staticpages/index.php?page=kernel

Salu2

_______________________________________
Polo Norte

+1
0
-1
Imagen de bull3tpr00f
+1
0
-1

Lo correcto seria bajarse las sources de los repositorios de ubuntu y no de kernel.org.

$ sudo apt-get install linux-sources-2.6.11-1-loquesea

Más que nada porque en Ubuntu las sources se hacen llamar linux-source, mientras que las que distribuye kernel.org se llaman kernel-source.

Saludos

+1
0
-1
Imagen de joelui
+1
0
-1

No sé porqué pero creo que tienes un error en tu post, dices: apt-get install linux-sources-2.6.11-1-(lo que sea)
Luego dices linux-source como fuentes de Ubuntu. Sin embargo da error. ¿Podría ser que se debe escribir otro archivo linux-image?

Gracias

+1
0
-1
Imagen de Caribdis
+1
0
-1

No hay ningún error.
Los archivos linux-image son el kernel ya compilado.
Los archivos linux-source son las fuentes del kernel, que tienes que compilar tú mismo.

+1
0
-1

-----
Jorge

Imagen de joelui
+1
0
-1

No sé cómo o los porqués pero no me funciona. He probado apt-get install linux-image-2.6.11.1.(la version 386 y 686) y se queda "tostao" el ordenador. Llega hasta que te logueas, empieza a cargar nautilus, ventanas, etc. y se queda ahí.
Sobre todo es por curiosidad e investigación. No tengo ganas de pelearme con el sistema si hay que compilar a mano. Si es posible desde los repositorios de Ubuntu, actualizar el kernel, actualizando y corrigiendo los bugs de anteriores versiones, pues "fale", pero para nada una pelea de seleccion, etc.
¿Que me dices Caribdis?

+1
0
-1
Imagen de js.toledano
+1
0
-1

Creo que eso se debe a una conbinacion entre reiserfs+dbus+inotify y se soluciona agregando "inotify" a los parametros de arranque del kernel.


SapoDriLo
Guía Ubuntu, Búsqueda
+1
0
-1

En esta vida solo puedes tener dos cosas: razones y resultados.
Las razones no cuentan.

Imagen de bull3tpr00f
+1
0
-1

Bueno, tienes razón, hay pequeño error sintactico, me sobraba una 's'. Deberia ser:

$ sudo apt-get install linux-source-2.6.11-1-arquitectura

Puedes var las diferentes versiones de las sources haciendo

$ sudo apt-cache search linux-source

Saludos

_______________________________________
Polo Norte

+1
0
-1
Imagen de joelui
+1
0
-1

No sé mucho de esto pero me he quedao colgao cuando intenté instalar el kernel compilado nuevo 2.6.11-1
segun me comentan para averiguar lo que existe en repositorios es:
linux-patch-ubuntu-2.6.10 - Ubuntu patches to Linux 2.6.10
linux-source-2.6.10 - Linux kernel source for version 2.6.10 with Ubuntu patches
linux-patch-ubuntu-2.6.11 - Ubuntu patches to Linux 2.6.11
linux-source-2.6.11 - Linux kernel source for version 2.6.11 with Ubuntu patches

segun otro forero existen dentro de Ubuntu dos versiones una denominada linux-source y otra linux-image. pues, cual hay que usar y porqué se queda tostao el ordenador, ¿es segura esa compilaciones?.

Un saludo

+1
0
-1
Imagen de bull3tpr00f
+1
0
-1

Hola

como dice Caribdis mas abajo, las fuentes (sources) del kernel son linux-source. Estas son las que necesitas para compilar un kernel.

Si no quieres complicarte la vida puedes usar uno ya compilado para tu arquitectura. En este caso debes buscar el kernel apropiado para tu micro. Esto es

$ sudo apt-cache search linux-image

Sobre lo del cuelgue, recuerdo una vez que instalé un 2.6.11 y me ocurrió lo mismo. Creo que se trató de algún tipo de incompatibilidad con mi hardware. Lo mejor que puedes hacer es instalar un 2.6.10 que es el que yo utilizo y funciona de maravilla. En mi opinión no merece la pena instalar el 2.6.11 salvo que necesites tener compatibilidad con algún periferico que no soporte al 2.6.10.

Saludos
_______________________________________
Polo Norte

+1
0
-1